Return previously taken points (e.g. on order cancellation)
POST
/wallets/{id}/return_takenAuthorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idintegerrequiredRequest body
application/jsonreference_codestringrequiredamountintegerResponses
200Points returned to the wallet's balance
422No matching transfer, or amount mismatch
Request
curl -X POST "https://api.onbolder.com/v2/wallets/0/return_taken" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"reference_code": "string",
"amount": 0
}'const response = await fetch("https://api.onbolder.com/v2/wallets/0/return_taken", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"reference_code": "string",
"amount": 0
})
});import requests
response = requests.post(
"https://api.onbolder.com/v2/wallets/0/return_taken",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"reference_code": "string",
"amount": 0
},
)Response
Points returned to the wallet's balance
No matching transfer, or amount mismatch